### Enumeration

# Gdk DeviceToolType

#### Declaration

    enum Gdk.DeviceToolType

#### Description [src]

Indicates the specific type of tool being used being a tablet. Such as an airbrush, pencil, etc.

#### Members

`GDK_DEVICE_TOOL_TYPE_UNKNOWN`

  Tool is of an unknown type.

  - Value: `0`
  - Available since: 4.0
`GDK_DEVICE_TOOL_TYPE_PEN`

  Tool is a standard tablet stylus.

  - Value: `1`
  - Available since: 4.0
`GDK_DEVICE_TOOL_TYPE_ERASER`

  Tool is standard tablet eraser.

  - Value: `2`
  - Available since: 4.0
`GDK_DEVICE_TOOL_TYPE_BRUSH`

  Tool is a brush stylus.

  - Value: `3`
  - Available since: 4.0
`GDK_DEVICE_TOOL_TYPE_PENCIL`

  Tool is a pencil stylus.

  - Value: `4`
  - Available since: 4.0
`GDK_DEVICE_TOOL_TYPE_AIRBRUSH`

  Tool is an airbrush stylus.

  - Value: `5`
  - Available since: 4.0
`GDK_DEVICE_TOOL_TYPE_MOUSE`

  Tool is a mouse.

  - Value: `6`
  - Available since: 4.0
`GDK_DEVICE_TOOL_TYPE_LENS`

  Tool is a lens cursor.

  - Value: `7`
  - Available since: 4.0